## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global common_description %{expand:
SymEngine is a standalone fast C++ symbolic manipulation library. Optional thin
wrappers allow usage of the library from other languages.}

Name:           symengine
Version:        0.13.0
Release:        %autorelease
Summary:        Fast symbolic manipulation library
License:        MIT
URL:            https://symengine.org/
ExcludeArch:    %{ix86}

Source0:        https://github.com/%{name}/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cereal-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  gmp-devel
BuildRequires:  flint-devel
BuildRequires:  llvm-devel
BuildRequires:  zlib-devel

%description    %{common_description}

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake-filesystem

%description    devel %{common_description}

The %{name}-devel package contains libraries and header files for developing
applications that use SymEngine.

%prep
%autosetup
sed -i -e 's|DEF_INSTALL_CMAKE_DIR lib/cmake|DEF_INSTALL_CMAKE_DIR %{_lib}/cmake|g' CMakeLists.txt

%build
# https://github.com/symengine/symengine?tab=readme-ov-file#recommended-options-to-build
%cmake \
    -DINTEGER_CLASS=flint \
    -DWITH_GMP=on \
    -DWITH_LLVM=on \
    -DWITH_LLVM=on \
    -DWITH_MPFR=on \
    -DWITH_SYSTEM_CEREAL=on \
    -DWITH_SYMENGINE_THREAD_SAFE=on
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc AUTHORS README.md
%{_libdir}/libsymengine.so.0.13
%{_libdir}/libsymengine.so.%{version}

%files devel
%{_includedir}/%{name}/
%dir %{_libdir}/cmake/%{name}
%{_libdir}/cmake/%{name}/SymEngineConfig.cmake
%{_libdir}/cmake/%{name}/SymEngineConfigVersion.cmake
%{_libdir}/cmake/%{name}/SymEngineTargets-release.cmake
%{_libdir}/cmake/%{name}/SymEngineTargets.cmake
%{_libdir}/lib%{name}.so

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 27 2024 Simone Caronni <negativo17@gmail.com> - 0.13.0-1
- Initial import
## END: Generated by rpmautospec
